<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Add User</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
        <link rel="stylesheet" href="../css/shards.min.css">
    </head>
    <body>
        <div class="container my-5">
            <h2 class="mb-5">Nuevo Usuario</h2>
            <div class="row">
                <div class="col-md-6">
                    <form action="#" th:action="@{/admin/adduser}" th:object="${user}" method="post">
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label for="name" class="col-form-label">Nombre</label>
                                <input type="text" th:field="*{name}" class="form-control" id="name" placeholder="Name" required>
                                <span th:if="${#fields.hasErrors('name')}" th:errors="*{name}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="name" class="col-form-label">Usuario</label>
                                <input type="text" th:field="*{username}" class="form-control" id="username" placeholder="Username" required>
                                <span th:if="${#fields.hasErrors('username')}" th:errors="*{username}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="email" class="col-form-label">Correo Electrónico</label>
                                <input type="email" th:field="*{email}" class="form-control" id="email" placeholder="Email" required>
                                <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="phone" class="col-form-label">Teléfono</label>
                                <input type="text" th:field="*{phone}" class="form-control" id="phone" placeholder="Phone" required>
                                <span th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 mt-5">
                                <input type="submit" class="btn btn-primary" value="Guardar">
                                <input type="button" class="btn btn-secundary" onclick="goBack();" value="Volver">
                            </div>
                        </div> 
                        <script type="text/javascript">
                            function goBack() {
                                window.location = "/";
                            }
                        </script>   
                    </form>
                </div>
            </div>
        </div>
    </body>
</html>